Name: bootloader-utils
Version: 0.3.1
Release: alt1

Summary: Bootloader utilities
License: GPL
Group: System/Base

URL: http://www.altlinux.ru
Source: %name.tar.gz

BuildArch: noarch

Requires: fdisk getopt
Provides: %_sbindir/detectloader /sbin/installkernel

# Automatically added by buildreq on Fri Jun 11 2004
BuildRequires: perl-devel

%description
This package contains utilities used to manipulate bootloaders.

%prep
%setup -q -n %name

%build
%make_build
%make test

%install
%makeinstall perl_libdir=%buildroot%perl_vendor_privlib
%__ln_s `relative %perl_vendor_privlib/bootloader_utils.pm %_datadir/loader/bootloader_utils.pm` \
	%buildroot%_datadir/loader/bootloader_utils.pm

%files
/sbin/installkernel
%_sbindir/detectloader
%_sbindir/rebootin
%_datadir/loader/
%perl_vendor_privlib/*.pm
%_man8dir/*.*

%changelog
* Tue Aug 17 2004 Alexey Tourbin <at@altlinux.ru> 0.3.1-alt1
- fixed skiplist processing (Sergey Vlasov, #4254)
- create backup (.old) copies of lilo.conf and grub/menu.lst (#4395)
- installkernel: run mkinitrd(8) without --ifneeded (should hopefully fix #4234 and #4643) 

* Fri Jun 11 2004 Alexey Tourbin <at@altlinux.ru> 0.3-alt1
- added support for LABEL and UUID volumes (via /etc/mtab)
- installkernel: save entry for /boot/vmlinuz before upgrade
- installkernel: added support for memtest86
- grub: fix for separate /boot partition, by Sergey Vlasov (#4234)
- started test suite (test.pl)

* Fri May 07 2004 Alexey Tourbin <at@altlinux.ru> 0.2-alt1
- here goes my first major revision; highlights:
  + common.pm -> bootloader_utils.pm, reworked
  + detectloader(1) reworked
  + helpers for lilo(1) and grub(1) configuration files reworked
  + installkernel reworked, /etc/sysconfig/installkernel disappeared

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 0.1-alt7
- Updated label shorten algorithm in lilo installer script.

* Mon Dec 09 2002 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt6
- Fixed perl dependencies (#0001679).

* Fri Nov 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- rebuild
- more features:
    + skiplist for mhz (#0001015)
    + advanced skiping of cdroms (#0001014)

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt4
- Fixed configuration options parsing (imz, #0000507).

* Thu Feb 14 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- added new signature for the GRUB

* Fri Nov 23 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt2
- Added %%build section, autogenerated buildrequires.

* Wed Nov 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- Imported MDK code (to be rewritten).
